gstreamermm: Gst::QueryBuffering Class Reference

Public Member Functions | Static Public Member Functions

# Gst::QueryBuffering Class Reference

A new buffering query object. More...

Inherits Gst::Query.

Collaboration diagram for Gst::QueryBuffering:
[legend]

List of all members.

## Public Member Functions
| QueryBuffering (GstQuery* query)
void | set (bool busy, int percent)
| Set the percentage of buffered data.
void | parse (bool& busy, int& percent) const
| Get the busy flag and percentage of the buffered data.
bool | parse_busy () const
| Get the busy flag of the buffered data.
int | parse_percent () const
| Get the percentage of the buffered data.
void | set (BufferingMode mode, int avg_in, int avg_out, gint64 buffering_left)
| Configures the buffering stats values in query.
void | parse (BufferingMode& mode, int& avg_in, int& avg_out, gint64 buffering_left) const
| Extracts the buffering stats values from the query.
BufferingMode | parse_mode () const
| Extracts the buffering mode from the query.
int | parse_input_rate () const
| Extracts the average input rate from the query.
int | parse_output_rate () const
| Extracts the average output rate from the query.
gint64 | parse_time_left () const
| Extracts the buffering time left from the query.
void | set (Format format, gint64 start, gint64 stop, gint64 estimated_total)
| Set the available query result fields in query.
void | parse (Format& format, gint64&start, gint64& stop, gint64& estimated_total) const
| Parse the query, writing the format into format, and other results into the passed parameters.
Format | parse_format () const
| Parse the query, returning the format.
gint64 | parse_start () const
| Parse the query, returning the start range value.
gint64 | parse_stop () const
| Parse the query, returning the stop range value.
gint64 | parse_total_time () const
| Parse the query, returning the estimated total amount of download time.
## Static Public Member Functions
static Glib::RefPtr< Gst::Query > | create (Format format)
| Constructs a new query object for querying the buffering status of a stream.

## Detailed Description

A new buffering query object.

See create() for more details.

## Constructor & Destructor Documentation

Gst::QueryBuffering::QueryBuffering | ( | GstQuery * | query | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Query> Gst::QueryBuffering::create | ( | Format | format | ) | `[static]`

Constructs a new query object for querying the buffering status of a stream.

Parameters:

  | format | The default Gst::Format for the new query.

Returns:
  The new Gst::QueryBuffering.

void Gst::QueryBuffering::parse | ( | bool & | busy,
|  | int & | percent |
| ) |  |  | const

Get the busy flag and percentage of the buffered data.

The percent is a value between 0 and 100. The busy indicator is true when the buffering is in progress. Use the other parse() methods to parse individual values.

Parameters:

  | busy | The location to store the buffering busy flag.
  | percent | The location to store the buffering percent.

void Gst::QueryBuffering::parse | ( | Format& | format,
|  | gint64 & | start,
|  | gint64 & | stop,
|  | gint64 & | estimated_total |
| ) |  |  | const

Parse the query, writing the format into format, and other results into the passed parameters.

Use the other parse() methods to parse individual values.

Parameters:

  | format | The location to store the format.
  | start | The location to store the start.
  | stop | The location to store the stop.
  | estimated_total | The location to store the estimated total amount of download time.

void Gst::QueryBuffering::parse | ( | BufferingMode& | mode,
|  | int & | avg_in,
|  | int & | avg_out,
|  | gint64 | buffering_left |
| ) |  |  | const

Extracts the buffering stats values from the query.

Use the other parse() methods to parse individual values.

Parameters:

  | mode | The location to store the buffering mode.
  | avg_in | The location to store the average input rate.
  | avg_out | The location to store the average output rate.
  | buffering_left | The location to store the amount of buffering time left.

bool Gst::QueryBuffering::parse_busy | ( |  | ) | const

Get the busy flag of the buffered data.

The busy indicator is true when the buffering is in progress.

Returns:
  The buffering busy flag.

Format Gst::QueryBuffering::parse_format | ( |  | ) | const

Parse the query, returning the format.

Returns:
  The format.

int Gst::QueryBuffering::parse_input_rate | ( |  | ) | const

Extracts the average input rate from the query.

Returns:
  The average input rate.

BufferingMode Gst::QueryBuffering::parse_mode | ( |  | ) | const

Extracts the buffering mode from the query.

Returns:
  The the buffering mode.

int Gst::QueryBuffering::parse_output_rate | ( |  | ) | const

Extracts the average output rate from the query.

Returns:
  The average output rate.

int Gst::QueryBuffering::parse_percent | ( |  | ) | const

Get the percentage of the buffered data.

The percent is a value between 0 and 100.

Returns:
  The buffering percent.

gint64 Gst::QueryBuffering::parse_start | ( |  | ) | const

Parse the query, returning the start range value.

Returns:
  The start value.

gint64 Gst::QueryBuffering::parse_stop | ( |  | ) | const

Parse the query, returning the stop range value.

Returns:
  The stop value.

gint64 Gst::QueryBuffering::parse_time_left | ( |  | ) | const

Extracts the buffering time left from the query.

Returns:
  The the amount of buffering time left.

gint64 Gst::QueryBuffering::parse_total_time | ( |  | ) | const

Parse the query, returning the estimated total amount of download time.

Returns:
  The estimated total amount of download time.

void Gst::QueryBuffering::set | ( | bool | busy,
|  | int | percent |
| ) |  |  |

Set the percentage of buffered data.

This is a value between 0 and 100. The busy indicator is true when the buffering is in progress.

Parameters:

  | busy | If buffering is busy.
  | percent | A buffering percent.

void Gst::QueryBuffering::set | ( | BufferingMode | mode,
|  | int | avg_in,
|  | int | avg_out,
|  | gint64 | buffering_left |
| ) |  |  |

Configures the buffering stats values in query.

Parameters:

  | mode | A buffering mode.
  | avg_in | The average input rate.
  | avg_out | The average output rate.
  | buffering_left | Amount of buffering time left.

void Gst::QueryBuffering::set | ( | Format | format,
|  | gint64 | start,
|  | gint64 | stop,
|  | gint64 | estimated_total |
| ) |  |  |

Set the available query result fields in query.

Parameters:

  | format | The format to set for the start and stop values.
  | start | The start to set.
  | stop | The stop to set.
  | estimated_total | Estimated total amount of download time.

The documentation for this class was generated from the following file:

- gstreamermm/query.h